# $Id: attendee.rb,v 1.1 2004/04/20 23:03:01 ianmacd Exp $

class Attendee

  attr_accessor :mailto
  attr_accessor :cn
  attr_accessor :partstat
  attr_accessor :role
  attr_accessor :cutype

  def inspect
    "Attendee\n" +
    "\tmailto=#{@mailto}\n" +
    "\tcn=#{@cn}\n" +
    "\tpartstat=#{@partstat}\n" +
    "\trole=#{@role}\n" +
    "\tcutype=#{cutype}\n"
  end

  #
  # Parses an attendee out from the ICAL paramHash and value
  #
  def Attendee.parse_attendee(paramHash, value)
    attendee = Attendee.new()

    attendee.mailto = value.sub(/^mailto:/i, "")
    attendee.cn = paramHash["CN"]
    attendee.partstat = paramHash["PARTSTAT"]
    attendee.role = paramHash["ROLE"]
    attendee.cutype = paramHash["CUTYPE"]

    return attendee
  end
end
